Bug 460115 - Store - local and 2pc txn on multiple queues not atomic (RHEL 4)
Store - local and 2pc txn on multiple queues not atomic (RHEL 4)
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity high
: 1.0.1
: ---
Assigned To: Kim van der Riet
Kim van der Riet
:
Depends On: 451155
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 05:01 EDT by Gordon Sim
Modified: 2008-10-06 14:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 14:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-08-26 05:01:10 EDT
+++ This bug was initially created as a clone of Bug #451155 +++

Under a specific failure condition, normal recovery could fail to guarantee full
atomicity. This will be addressed in an errata. In the meantime, the journal
contains a sufficient record to avoid data loss following manual correction by
the Red Hat team.

--- Additional comment from kim.vdriet@redhat.com on 2008-07-11 17:07:26 EDT ---

Fixed for 2PC in r.2187/8 and for 1PC in 2189.
Comment 2 Frantisek Reznicek 2008-09-24 11:04:18 EDT
RHTS automated tests (MRG/qpid_txtest_fails_bz458053 and
MRG/qpid_test_transaction_integrity) now prove atomicity. (->VERIFIED)
Comment 4 errata-xmlrpc 2008-10-06 14:58:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0867.html

Note You need to log in before you can comment on or make changes to this bug.